Bug 991373 - "%{SSL_SESSION_ID}s" is always null
"%{SSL_SESSION_ID}s" is always null
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mladen Turk
Jan Stefl
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 05:17 EDT by Hisanobu Okuda
Modified: 2014-08-21 05:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1255096 (view as bug list)
Environment:
Last Closed: 2014-08-21 05:01:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-08-02 05:17:06 EDT
Description of problem:
I configured httpd as follow:-

  SSLEngine on
  SSLProtocol all -SSLv2
  SSLCipherSuite ALL:!ADH:!EXPORT:!SSLv2:RC4+RSA:+HIGH:+MEDIUM:+LOW
  SSLCertificateFile /opt/jboss-ews-2.0/httpd/conf/server.crt
  SSLCertificateKeyFile /opt/jboss-ews-2.0/httpd/conf/server.key
  SSLCACertificateFile /opt/jboss-ews-2.0/httpd/conf/cacert.pem
  SSLOptions +ExportCertData +StdEnvVars
  RequestHeader set SSL_SESSION_ID "%{SSL_SESSION_ID}s"
  Header set SSL_SESSION_ID "%{SSL_SESSION_ID}s"

In Request/Response header, %{SSL_SESSION_ID}s is always null:-

SSL_SESSION_ID: (null)

Version-Release number of selected component (if applicable):
apache httpd 2.2.22 (EAP 6.1.0)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jan Stefl 2014-08-20 05:31:16 EDT
Hi Hisanobu,

If I am understand correctly discussion in customer ticket, we can close this. Right?
Comment 2 Hisanobu Okuda 2014-08-20 18:56:29 EDT
Hi Jan, thank you for taking your time. Yes, you can close this.
Comment 3 Jan Stefl 2014-08-21 05:01:18 EDT
Thank you Hisanobu.
Closing.

Note You need to log in before you can comment on or make changes to this bug.